aboutsummaryrefslogtreecommitdiff
path: root/ledge
diff options
context:
space:
mode:
authorMaxim Uvarov <maxim.uvarov@linaro.org>2019-12-27 12:34:26 +0300
committerMaxim Uvarov <maxim.uvarov@linaro.org>2019-12-27 12:34:26 +0300
commit3aef22dafea7cf16edd3b17d4d2915940040b472 (patch)
treeb5a65edfb32f8fc3555886894011c0a0839a19c2 /ledge
parentb71d12d50e9774038668264c9b8d836175445c55 (diff)
ledge-oe: fix firmware archive creation
set -e fails on tar if there is no files. And bash && syntax does not work here. Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org> Change-Id: I1db7fc306b1d8221e4d157fde2dae09973f7c4a4
Diffstat (limited to 'ledge')
-rwxr-xr-xledge/oe/builders.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/ledge/oe/builders.sh b/ledge/oe/builders.sh
index a9e8012a..b502c5bc 100755
--- a/ledge/oe/builders.sh
+++ b/ledge/oe/builders.sh
@@ -128,9 +128,11 @@ done
pigz -9 ledge-kernel-uefi-certs.ext4
# Convert bl*.bin symlinks to local files and package them to bios-num.tar.gz
-find . -type l -name "bl*.bin" -exec cp --remove-destination \$\(readlink {}\) {} \; && \
- ( tar -czf bios-${BUILD_NUMBER}.tar.gz bl*.bin; \
- rm -rf bl*.bin; )
+set +e
+find . -type l -name "bl*.bin" -exec cp --remove-destination \$\(readlink {}\) {} \;
+tar -czf bios-${BUILD_NUMBER}.tar.gz bl*.bin
+rm -rf bl*.bin
+set -e
# Clean up not needed build artifacts
rm -rf Image-ledge* Image*mainline* modules-*-mainline* \